<? 
function getCardData($token,$mertid,$sign){
	$request = 'mertid='.$mertid.'&transref='.$token.'&signature='.$sign; //initialize the request variables
	$url = 'https://www.cashenvoy.com/sandbox2/?cmd=ce_rcdata'; //this is the url of the gateway's test api
	//$url = 'https://www.cashenvoy.com/webservice/?cmd=ce_rcdata'; //this is the url of the gateway's live api
	$ch = curl_init(); //initialize curl handle
	curl_setopt($ch, CURLOPT_URL, $url); //set the url
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,true); //return as a variable
	curl_setopt($ch, CURLOPT_POST, 1); //set POST method
	curl_setopt($ch, CURLOPT_POSTFIELDS, $request); //set the POST variables
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);//change to true when live
	$response = curl_exec($ch); // grab URL and pass it to the browser. Run the whole process and return the response
	curl_close($ch); //close the curl handle
	return $response;	
}

$key = 'your merchant key';
$token = 'DM123456789012'; //Your token is the first transref in the payment cycle
$mertid = 1;
$cdata = $key.$token.$mertid;
$signature = hash_hmac('sha256', $cdata, $key, false);
$response = getCardData($token,$mertid,$signature);

/*------------------------------------- processing response in json format ---------------------------*/
/*
PHP 5 >= 5.2.0, PECL json >= 1.2.0 
Go to http://php.net/manual/en/function.json-decode.php for more information */

$data = json_decode($response);
if($data->{'Status'}=='success'){
	$last4digits = $data->{'Last4'};
	$issuer = $data->{'Issuer'};
	$dateadded = $data->{'DateAdded'};
} else {
	$returned_error = $data->{'Message'};
}
	
?>